Bug 634814 - xkb maps not working with updated 1.9 release
xkb maps not working with updated 1.9 release
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xkeyboard-config (Show other bugs)
14
All Linux
high Severity medium
: ---
: ---
Assigned To: Peter Hutterer
Fedora Extras Quality Assurance
: i18n
Depends On:
Blocks: F14Target
  Show dependency treegraph
 
Reported: 2010-09-17 01:09 EDT by Parag Nemade
Modified: 2010-10-08 08:42 EDT (History)
3 users (show)

See Also:
Fixed In Version: xkeyboard-config-1.9-6.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-08 08:42:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix error for activating Indic maps (942 bytes, patch)
2010-10-04 02:30 EDT, Parag Nemade
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 30233 None None None Never

  None (edit)
Description Parag Nemade 2010-09-17 01:09:11 EDT
Description of problem:
I think there is some problem with xkeyboar-config-1.9-1.fc14 package. When I installed previous version build 1.8.1-6.fc13, its working fine.

While adding few xkb maps from India say Hindi Wx, Hindi Bolnagari, I got following error message
======================================================================
Error activating XKB configuration.
It can happen under various circumstances:
 • a bug in libxklavier library
 • a bug in X server (xkbcomp, xmodmap utilities)
 • X server with incompatible libxkbfile implementation

X server version data:
Fedora Project
10900000

If you report this situation as a bug, please include:
 • The result of xprop -root | grep XKB
 • The result of gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd
==========================================================================

Here is output for "xprop -root | grep XKB"

_XKB_RULES_NAMES_BACKUP(STRING) = "evdev", "pc105+inet", "us", "", ""
_XKB_RULES_NAMES(STRING) = "evdev", "pc105+inet", "us", "", "grp:shift_caps_toggle"

Here is output for "gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd"

 layouts = [us,in	bolnagri]
 options = [grp	grp:shift_caps_toggle]
 model = 


Version-Release number of selected component (if applicable):
xkeyboard-config-1.9-1.fc14.noarch

How reproducible:
always

Steps to Reproduce:
1. Select India as country while adding new keymap
2. Try to add Hindi Bolnagri map
3. Observe error message after you clicked on "Add" button
  
Actual results:
Unable to use or select maps in panel

Expected results:
Should add maps without error message and able to change and use them

Additional info:
Comment 1 Parag Nemade 2010-10-03 06:11:33 EDT
For now adding F14Target.
Comment 2 Parag Nemade 2010-10-03 06:12:49 EDT
Upstream has already fixed this in upstream commit
http://cgit.freedesktop.org/xkeyboard-config/commit/?id=393204e792de332457b1175b3831170d6970a98f
Comment 3 Jens Petersen 2010-10-03 21:38:04 EDT
I believe this affects any layout that includes symbols/nbsp (non-break space).
Comment 4 Parag Nemade 2010-10-04 02:30:25 EDT
Created attachment 451345 [details]
Fix error for activating Indic maps

Note: I added only Indic maps patch but there can be other country maps that needs fix as well as already done for ir maps in 1.9-2 build
Comment 5 Fedora Update System 2010-10-04 21:23:48 EDT
xkeyboard-config-1.9-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xkeyboard-config-1.9-3.fc14
Comment 6 Fedora Update System 2010-10-05 01:20:53 EDT
xkeyboard-config-1.9-3.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xkeyboard-config'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/xkeyboard-config-1.9-3.fc14
Comment 7 Fedora Update System 2010-10-05 20:34:45 EDT
xkeyboard-config-1.9-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xkeyboard-config-1.9-6.fc14
Comment 8 Fedora Update System 2010-10-08 08:42:02 EDT
xkeyboard-config-1.9-6.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.